Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.expression.operator.string
Class StringLike

    java.lang.Object
      |
      +--com.bea.p13n.expression.internal.ComplexExpressionImpl
            |
            +--com.bea.p13n.expression.operator.Operator
                  |
                  +--com.bea.p13n.expression.operator.string.StringOperator
                        |
                        +--com.bea.p13n.expression.operator.string.StringLike

public class StringLike
extends StringOperator
implements BinaryOperator

A class for representing "like" operator that is operated on the supplied two strings. It accepts two strings `firstString` and `secondString`. The evaluation of this operator should return `true` if ((firstString.toUpperCase()).indexOf( (secondString.toUpperCase())) > -1), otherwise return `false`.

See Also:
  Serialized Form

Field Summary
`protected boolean` | `caseInsensitiveMatch`

Fields inherited from class com.bea.p13n.expression.operator.string.StringOperator
`BINARY_PARAMETER_SIGNATURE, UNARY_PARAMETER_SIGNATURE`

Constructor Summary
`StringLike()`
`StringLike(java.lang.Object firstString, java.lang.Object secondString)`
`StringLike(java.lang.Object firstString, java.lang.Object secondString, boolean patternMatchIgnoreCase)`

Method Summary
`boolean` | `equals(java.lang.Object o)` Override to check the caseInsensitiveMatch flag as well.
`java.lang.Object` | `getLeftHandSide()`
`java.lang.Class[]` | `getParameterSignature()`
`java.lang.Object` | `getRightHandSide()`
`int` | `hashCode()` Override to check the caseInsensitiveMatch flag as well.
`boolean` | `isCaseInsensitiveMatch()`

Methods inherited from class com.bea.p13n.expression.operator.Operator
`leftHandSide, operand, rightHandSide`

Methods inherited from class com.bea.p13n.expression.internal.ComplexExpressionImpl
`addListener, addSubExpression, clearCache, clone, createProxyExpression, getCachedValue, getParent, getSource, getSubExpression, getSubExpressionCount, getUserData, isCached, isCacheEnabled, isEqualitySubExpression, notifyListeners, removeAllSubExpressions, removeListener, removeSubExpression, removeSubExpression, setCachedValue, setCacheEnabled, setParent, setSource, setSubExpression, setUserData, toString, write`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### caseInsensitiveMatch

    protected boolean caseInsensitiveMatch

Constructor Detail

### StringLike

    public StringLike()

### StringLike

    public StringLike(java.lang.Object firstString,
                      java.lang.Object secondString)

### StringLike

    public StringLike(java.lang.Object firstString,
                      java.lang.Object secondString,
                      boolean patternMatchIgnoreCase)

Method Detail

### getLeftHandSide

    public java.lang.Object getLeftHandSide()

  Specified by:
    getLeftHandSide in interface BinaryOperator

### getRightHandSide

    public java.lang.Object getRightHandSide()

  Specified by:
    getRightHandSide in interface BinaryOperator

### getParameterSignature

    public java.lang.Class[] getParameterSignature()

  Overrides:
    getParameterSignature in class com.bea.p13n.expression.internal.ComplexExpressionImpl

### isCaseInsensitiveMatch

    public boolean isCaseInsensitiveMatch()

### equals

    public boolean equals(java.lang.Object o)

  Override to check the caseInsensitiveMatch flag as well.

  Overrides:
    equals in class com.bea.p13n.expression.internal.ComplexExpressionImpl

### hashCode

    public int hashCode()

  Override to check the caseInsensitiveMatch flag as well.

  Overrides:
    hashCode in class com.bea.p13n.expression.internal.ComplexExpressionImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved